"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var vue_template_compiler_1 = require("vue-template-compiler");
// tslint:disable-next-line:no-var-requires
var LRUCache = require('lru-cache');
// tslint:disable-next-line:no-var-requires
var hash = require('hash-sum');
var cache = new LRUCache(250);
function scfParser(source, filename) {
    var hashTmp = hash;
    var cacheKey = hashTmp(filename + source);
    // source-map cache busting for hot-reloadded modules
    var output = cache.get(cacheKey);
    if (output) {
        return output;
    }
    output = vue_template_compiler_1.parseComponent(source);
    cache.set(cacheKey, output);
    return output;
}
exports.default = scfParser;
//# sourceMappingURL=sfc-parser.js.map